import { http } from "/@/utils/http";
import { loadEnv } from "@build/index";
const { VITE_PROXY_DOMAIN_REAL, VITE_PROXY_USER_REAL } = loadEnv();
const userAPi = VITE_PROXY_DOMAIN_REAL;
const yewuApi = VITE_PROXY_USER_REAL + "/admin/";

export const httpList = (data: object): any => {
  return http.request("post", `${yewuApi}projectlist`, { data });
};
export const httpCatinfo = (data: object): any => {
  return http.request("post", `${yewuApi}catinfo`, { data });
};
export const httpCreate = (data: object): any => {
  return http.request("post", `${yewuApi}projectcreate`, { data });
};
export const httpDetail = (data: object): any => {
  return http.request("post", `${yewuApi}projectinfo`, { data });
};
export const httpFeedbackProducts = (data: object): any => {
  return http.request("post", `${yewuApi}projectfeedlist`, { data });
};
export const httpMakePlan = (data: object): any => {
  return http.request("post", `${yewuApi}plancreate`, { data });
};
export const httpPlans = (data: object): any => {
  return http.request("post", `${yewuApi}projectplan`, { data });
};

export const httpRateEdit = (data: object): any => {
  return http.request("post", `${yewuApi}projectrate`, { data });
};

export const httpOnlineProducts = (data: object): any => {
  return http.request("post", `${yewuApi}goodplist`, { data });
};

export const httpFeedback = (data: object): any => {
  return http.request("post", `${yewuApi}projectaddfed`, { data });
};

export const httpFeedbackDel = (data: object): any => {
  return http.request("post", `${yewuApi}projectfeeddel`, { data });
};

export const httpFeedbacklist = (data: object): any => {
  return http.request("post", `${yewuApi}projectfeedlist`, { data });
};

export const httpDelete = (data: object): any => {
  return http.request("post", `${yewuApi}branddel`, { data });
};

export const httpUpdate = (data: object): any => {
  return http.request("post", `${yewuApi}brandedit`, { data });
};

export const httpStatus = (data: object): any => {
  return http.request("post", `${yewuApi}brandstatus`, { data });
};
